Bug 1189918 - EPEL6 FTBFS python-cryptography 0.6.1
Summary: EPEL6 FTBFS python-cryptography 0.6.1
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-cryptography
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeremy Cline
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1189218
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-05 20:04 UTC by Greg Swift
Modified: 2020-11-30 15:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 15:02:03 UTC
Type: Bug


Attachments (Terms of Use)
log from local mockbuild (152.25 KB, text/plain)
2015-02-05 20:04 UTC, Greg Swift
no flags Details

Description Greg Swift 2015-02-05 20:04:08 UTC
Created attachment 988603 [details]
log from local mockbuild

Description of problem:

https://apps.fedoraproject.org/packages/package_maintenance/tools/builds?package=python-cryptography

Package is failing to build. it appears to be due to failed tests.  attaching build.log from a local mockbuild.

Version-Release number of selected component (if applicable):

python-cryptography-0.6.1-2.el6


There is a similar bug 1166901 for EL7, not sure how related they are.

Comment 1 Greg Swift 2015-02-06 03:47:14 UTC
Was able to successfully build this package on el6 under the following conditions:

1: Needed pytest 2.5+
2: pytest 2.5+ needed python-py 1.4.20+
3: Both pytest and python-py needed a newer python-sphinx than epel provides (in either python-sphinx or python-sphinx10


To accomplish this I used python-sphinx from copr-jruzicka-rdo-icehouse-epel-6.  Then i updated the sphinx based conditional in the pytest and python-py files to allow rhel > 5 (instead of >6) to use the main python-sphinx namespace.

Comment 3 Ben Cotton 2020-11-05 16:47:13 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is our policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora, you are encouraged  change the 'version' to a later Fedora version prior this bug is closed as described in the policy above.

Comment 4 Ben Cotton 2020-11-30 15:02:03 UTC
EPEL el6 changed to end-of-life (EOL) status on 2020-11-30. EPEL el6 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
EPEL please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.